"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const text_ast_1 = require("./utils/text-ast");
const replace = require("replace");
function replacer(allDirectives, config) {
    allDirectives.forEach(el => {
        try {
            if (el.isComponent()) {
                // Component
                const moduleName = el.getModule().toSummary().type.reference.name;
                const componentName = el.symbol.name;
                const name = moduleName + '.' + componentName;
                let texts = [];
                el.getTemplateAst().templateAst.forEach(element => {
                    texts.push(...text_ast_1.getTextAst(element));
                });
                const url = el.getResolvedMetadata().templateUrl || el.symbol.filePath;
                texts.forEach((text, i) => {
                    replace({
                        regex: `>${text}`,
                        replacement: ` i18n="${name}">${text}`,
                        paths: [url]
                    });
                });
            }
            else {
                // Directive
            }
        }
        catch (e) {
            // Component
            console.error(e);
            // exception only component
        }
    });
}
exports.replacer = replacer;
//# sourceMappingURL=i18n.js.map