"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getTextAst(element) {
    const texts = [];
    if (element && element.children && element.children.length) {
        element.children.forEach((child) => {
            const name = child.constructor.name;
            const value = child
                .value;
            if (value) {
                if (name === 'TextAst' && value.trim() !== '') {
                    texts.push(child.value);
                }
                else {
                    const source = value.source;
                    // if (typeof value === 'object' && source && source.trim() !== '') {
                    //   texts.push(source);
                    // }
                    if (value.constructor.name === 'ASTWithSource') {
                        texts.push(source);
                    }
                }
            }
            else {
                const childTexts = getTextAst(child);
                childTexts.forEach((el) => {
                    texts.push(el);
                });
            }
        });
    }
    return texts;
}
exports.getTextAst = getTextAst;
//# sourceMappingURL=text-ast.js.map